import { Component, Input } from '@angular/core';
export var HeaderComponent = (function () {
    function HeaderComponent() {
    }
    HeaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'coreui-header',
                    template: "\n    <header class=\"navbar\">\n      <div class=\"container-fluid\">\n        <button class=\"navbar-toggler hidden-lg-up\" type=\"button\" mobile-nav-toggle>&#9776;</button>\n        <a class=\"navbar-brand\" href=\"#\"></a>\n    \n        <ul class=\"nav navbar-nav hidden-md-down\">\n          <li class=\"nav-item\">\n            <a class=\"nav-link navbar-toggler sidebar-toggle\" href=\"#\">&#9776;</a>\n          </li>\n          <li class=\"nav-item px-1\" *ngFor=\"let nav of config.nav\">\n            <i class=\"{{nav.icon}}\"></i>\n            <a class=\"nav-link\"\n               routerLinkActive=\"active\"\n               [routerLinkActiveOptions]=\"{exact: true}\"\n               [routerLink]=\"nav.link\">{{nav.label}}</a>\n          </li>\n        </ul>\n        \n        <ul class=\"nav navbar-nav float-xs-right hidden-md-down\">\n          <li class=\"nav-item dropdown px-1\" dropdown>\n            <a class=\"nav-link dropdown-toggle\"\n               data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\" dropdownToggle>\n              \n              <span class=\"hidden-md-down\">admin</span>\n            </a>\n            <div class=\"dropdown-menu dropdown-menu-right\" dropdownMenu aria-labelledby=\"simple-dropdown\">\n              <div class=\"dropdown-header text-xs-center\">\n                <strong>Settings</strong>\n              </div>\n              <a class=\"dropdown-item\" href=\"#\"><i class=\"fa fa-user\"></i> Profile</a>\n              <div class=\"divider\"></div>\n              <a class=\"dropdown-item\" href=\"#\"><i class=\"fa fa-lock\"></i> Logout</a>\n            </div>\n          </li>\n          <li class=\"nav-item\" *ngIf=\"config.aside\">\n            <a class=\"nav-link navbar-toggler aside-toggle\" href=\"#\">&#9776;</a>\n          </li>\n        </ul>\n      </div>\n    </header>\n",
                },] },
    ];
    /** @nocollapse */
    HeaderComponent.ctorParameters = function () { return []; };
    HeaderComponent.propDecorators = {
        'config': [{ type: Input },],
    };
    return HeaderComponent;
}());
//# sourceMappingURL=header.component.js.map