import { Directive, HostListener } from '@angular/core';
/**
 * Allows the aside to be toggled via click.
 */
export var AsideToggleDirective = (function () {
    function AsideToggleDirective() {
    }
    AsideToggleDirective.prototype.toggleOpen = function ($event) {
        $event.preventDefault();
        document.querySelector('body').classList.toggle('aside-menu-open');
    };
    AsideToggleDirective.decorators = [
        { type: Directive, args: [{
                    selector: '.aside-toggle',
                },] },
    ];
    /** @nocollapse */
    AsideToggleDirective.ctorParameters = function () { return []; };
    AsideToggleDirective.propDecorators = {
        'toggleOpen': [{ type: HostListener, args: ['click', ['$event'],] },],
    };
    return AsideToggleDirective;
}());
//# sourceMappingURL=aside.directives.js.map